HomeEnd User SetupOptional ComponentsSQL Versions and Installation

4.2. SQL Versions and Installation

Disponible en español: Versiones de SQL e instalación
Disponível em português: Versões e instalações do SQL

Applies to:  @RISK 5.x–7.x

Which version of SQL should I install to work with @RISK? Does it need to be a local install, or can I connect to a remote server?

You may or may not need to install SQL. The @RISK Library feature is the only dependency of @RISK on SQL; see SQL — Do I Need to Install It? If you do need to install SQL, please choose the right section below, because major changes were made with the release of @RISK 6.2.

SQL with @RISK 6.2 and newer:

@RISK Libraries can be on your local computer, remote computers, or a mix. If you want to create and use libraries on your local computer, you must have compatible SQL server software installed.  If you want to create and use libraries on a server or another computer, your local computer needs SQL server or SQL client software. The remote computer that hosts the databases must have compatible SQL server software and the operating system must be a Windows Server edition. (See also SQL for @RISK Library on Another Computer.)

Any Microsoft SQL Server software 2005 or later, including the free Server Express, will work with @RISK 6.2 and newer. On 32-bit Windows, you will install 32-bit SQL. On 64-bit Windows, we have seen 32-bit or 64-bit SQL work with @RISK in 32-bit or 64-bit Excel. Here are some of your options:

SQL with @RISK 6.1 and earlier:

The Library feature of @RISK is powered by a local install of SQL, even if all your @RISK Library databases are stored on a remote computer. This means that a compatible version of SQL is listed in Programs and Features or Add or Remove Programs in Control Panel, in the same list as @RISK or the DecisionTools Suite. In contrast to the SQL program, the databases can be local, remote, or a mix.

We have tested @RISK 5.x, 6.0, and 6.1 with Microsoft SQL Server 2005 Express and Microsoft SQL Server 2008 Express. Your options:

Last edited: 2015-06-11

This page was: Helpful | Not Helpful